Summary: Airfoil GUI for Holger Babinsky lab
Name: cued-airfoil-hb
Version: 1.2
Release: 2
License: CUED
Group: CUED
Packager: Michael Gray <mjg17@eng.cam.ac.uk>
Provides: cued-airfoil-hb
Source0: airfoil-hb-1.2.tgz
Buildroot: %{_tmppath}/%{name}-%{version}-build
AutoReqProv: no
Requires: cued-dpo-links gdome2-devel gtk-devel glib-devel

%description
Airfoil GUI for use in Holger Babinsky's lab

%prep
%setup -c

%build
make

%install
#rm -rf $RPM_BUILD_ROOT

install -D airfoil-hb $RPM_BUILD_ROOT/usr/local/bin/airfoil-hb

install -D libfoil.a $RPM_BUILD_ROOT/usr/local/lib64/libfoil.a
install -D libfoil.so.0.1 $RPM_BUILD_ROOT/usr/local/lib64/libfoil.so.0.1
pushd $RPM_BUILD_ROOT/usr/local/lib64
ln -s libfoil.so.0.1 libfoil.so.0
ln -s libfoil.so.0 libfoil.so
popd

pushd fortran
for i in vgk vgkcon
do
	install -D $i $RPM_BUILD_ROOT/usr/local/lib64/airfoil-hb/$i
done
popd

%files
%defattr(-,root,root)
/usr/local/bin/airfoil-hb

/usr/local/lib64/libfoil.a
/usr/local/lib64/libfoil.so
/usr/local/lib64/libfoil.so.0
/usr/local/lib64/libfoil.so.0.1

/usr/local/lib64/airfoil-hb/vgk
/usr/local/lib64/airfoil-hb/vgkcon

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

# EOF
